com.trendmicro.ds.platform.rest.object.smartfolder

## Class ParentSmartFolderSummary

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.ParentSmartFolderSummary

-     public class ParentSmartFolderSummary
      extends java.lang.Object

  Details of a Smart Folder

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParentSmartFolderSummary()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addQueryGroup(QueryGroupSummary queryGroupSummary)` Adds a query group to the list of query groups
    `Model.Comparison` | `getComparison()` Gets the comparison of the Smart Folder
    `java.lang.String` | `getName()` Gets the name of the Smart Folder.
    `java.util.List<QueryGroupSummary>` | `getQueryGroups()` Gets the query groups of the Smart Folder
    `void` | `setComparison(Model.Comparison comparison)` Sets the comparison of the Smart Folder.
    `void` | `setName(java.lang.String name)` Sets the name of the Smart Folder.
    `void` | `setQueryGroups(java.util.List<QueryGroupSummary> queryGroups)` Sets query groups of the Smart Folder
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParentSmartFolderSummary

          public ParentSmartFolderSummary()

  - ### Method Detail

    - #### getQueryGroups

          public java.util.List<QueryGroupSummary> getQueryGroups()

      Gets the query groups of the Smart Folder
      Returns:
        The query groups of the Smart Folder

    - #### setQueryGroups

          public void setQueryGroups(java.util.List<QueryGroupSummary> queryGroups)

      Sets query groups of the Smart Folder
      Parameters:
        `queryGroups` - Sets query groups of the Smart Folder

    - #### addQueryGroup

          public void addQueryGroup(QueryGroupSummary queryGroupSummary)

      Adds a query group to the list of query groups
      Parameters:
        `queryGroupSummary` - the query group to add

    - #### getComparison

          public Model.Comparison getComparison()

      Gets the comparison of the Smart Folder
      Returns:
        The comparison of the Smart Folder

    - #### setComparison

          public void setComparison(Model.Comparison comparison)

      Sets the comparison of the Smart Folder.
      Parameters:
        `comparison` - The comparison of the Smart Folder.

    - #### getName

          public java.lang.String getName()

      Gets the name of the Smart Folder.
      Returns:
        The name of the Smart Folder.

    - #### setName

          public void setName(java.lang.String name)

      Sets the name of the Smart Folder.
      Parameters:
        `name` - The name of the Smart Folder.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.